### Method

# GExiv2 Metadata save_file

#### Declaration [src]

    gboolean
    gexiv2_metadata_save_file (
      GExiv2Metadata* self,
      const gchar* path,
      GError** error
    )

#### Description [src]

Saves the metadata to the specified file by reading the file into memory, copying this object’s metadata into the image, then writing the image back out.

#### Parameters

`path`

  Type: `const gchar*`

  Path to the file you want to save to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success indicator.